=== debian/control ===
Source: strongswan
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: strongSwan Maintainers <pkg-swan-devel@lists.alioth.debian.org>
Uploaders: Rene Mayrhofer <rmayr@debian.org>,
  Yves-Alexis Perez <corsac@debian.org>,
  Romain Francoise <rfrancoise@debian.org>
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-swan/strongswan.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-swan/strongswan.git
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), dh-apparmor,
  libtool, libgmp3-dev, libssl-dev (>= 0.9.8), libldns-dev, libunbound-dev,
  libcurl4-openssl-dev | libcurl3-dev | libcurl2-dev, libsoup2.4-dev,
  libpcsclite-dev, libldap2-dev, libpam0g-dev, libkrb5-dev, bison, flex, bzip2,
  po-debconf, libtspi-dev, libmysqlclient-dev, libgcrypt20-dev | libgcrypt11-dev,
  libxml2-dev, libsqlite3-dev, network-manager-dev (>= 0.7) [linux-any],
  libnm-glib-vpn-dev (>= 0.7) [linux-any], libnm-util-dev (>= 0.7) [linux-any],
  gperf, libcap-dev [linux-any], dh-autoreconf, pkg-config, libjson0-dev,
  iptables-dev, systemd [linux-any],
  dh-systemd (>= 1.5)
Homepage: http://www.strongswan.org
XS-Testsuite: autopkgtest

Package: strongswan
Architecture: all
Depends: ${misc:Depends}, strongswan-charon, strongswan-starter
Description: IPsec VPN solution metapackage
 The strongSwan VPN suite uses the native IPsec stack in the standard Linux
 kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This metapackage installs the packages required to maintain IKEv1 and IKEv2
 connections via ipsec.conf or ipsec.secrets.

Package: libstrongswan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: strongswan (<< 4.2.12-1)
Breaks: strongswan-ikev2 (<< 4.6.4),
  strongswan-plugin-dnskey (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-fips-prf (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-gmp (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-pgp (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-pubkey (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-sshkey (<< 5.3.5-1ubuntu1~),
Replaces: strongswan-ikev2 (<< 4.6.4),
  strongswan-plugin-dnskey (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-fips-prf (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-gmp (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-pgp (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-pubkey (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-sshkey (<< 5.3.5-1ubuntu1~),
Recommends: libstrongswan-standard-plugins
Suggests: libstrongswan-extra-plugins
Description: strongSwan utility and crypto library
 The strongSwan VPN suite uses the native IPsec stack in the standard
 Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This package provides the underlying libraries of charon and other strongSwan
 components. It is built in a modular way and is extendable through various
 plugins.
 .
 Some default (as specified by the strongSwan projet) plugins are included.
 For libstrongswan (cryptographic backends, URI fetchers and database layers):
  - aes (AES-128/192/256 cipher software implementation)
  - constraints (X.509 certificate advanced constraint checking)
  - dnskey (Parse RFC 4034 public keys)
  - fips-prf (PRF specified by FIPS, used by EAP-SIM/AKA algorithms)
  - gmp (RSA/DH crypto backend based on libgmp)
  - hmac (HMAC wrapper using various hashers)
  - md5 (MD5 hasher software implementation)
  - nonce (Default nonce generation plugin)
  - pem (PEM encoding/decoding routines)
  - pgp (PGP encoding/decoding routines)
  - pkcs1 (PKCS#1 encoding/decoding routines)
  - pkcs8 (PKCS#8 decoding routines)
  - pkcs12 (PKCS#12 decoding routines)
  - pubkey (Wrapper to handle raw public keys as trusted certificates)
  - random (RNG reading from /dev/[u]random)
  - rc2 (RC2 cipher software implementation)
  - revocation (X.509 CRL/OCSP revocation checking)
  - sha1 (SHA1 hasher software implementation)
  - sha2 (SHA256/SHA384/SHA512 hasher software implementation)
  - sshkey (SSH key decoding routines)
  - x509 (Advanced X.509 plugin for parsing/generating X.509 certificates/CRLs
    and OCSP messages)
  - xcbc (XCBC wrapper using various ciphers)
 For libhydra (IKE daemon plugins):
  - attr (Provides IKE attributes configured in strongswan.conf)
  - kernel-netlink [linux] (IPsec/Networking kernel interface using Linux
    Netlink)
  - kernel-pfkey [kfreebsd] (IPsec kernel interface using PF_KEY)
  - kernel-pfroute [kfreebsd] (Networking kernel interface using PF_ROUTE)
  - resolve (Writes name servers received via IKE to a resolv.conf file or
    installs them via resolvconf(8))

Package: libstrongswan-standard-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libstrongswan (= ${binary:Version})
Breaks: libstrongswan (<< 5.3.5-1ubuntu1~),
  strongswan-ike (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-agent (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-openssl (<< 5.3.5-1ubuntu1~),
Replaces: libstrongswan (<< 5.3.5-1ubuntu1~),
  strongswan-ike (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-agent (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-openssl (<< 5.3.5-1ubuntu1~),
Description: strongSwan utility and crypto library (standard plugins)
 The strongSwan VPN suite uses the native IPsec stack in the standard
 Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This package provides some common plugins for the strongSwan utility and
 cryptograhic library.
 .
 Included plugins are:
  - agent (RSA/ECDSA private key backend connecting to SSH-Agent)
  - gcm (GCM cipher mode wrapper)
  - openssl (Crypto backend based on OpenSSL, provides
    RSA/ECDSA/DH/ECDH/ciphers/hashers/HMAC/X.509/CRL/RNG)

Package: strongswan-plugin-dnskey
Architecture: all
Section: oldlibs
Depends: ${shlibs:Depends}, ${misc:Depends},
  libstrongswan (= ${binary:Version})
Description: strongSwan plugin for parsing RFC 4034 public keys
 The strongSwan VPN suite uses the native IPsec stack in the standard
 Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This package provides the plugin for parsing RFC 4034 public keys for
 strongSwan.
 .
 This plugin is now included in libstrongswan. This package can
 be safely removed once it's installed.

Package: strongswan-plugin-fips-prf
Architecture: all
Section: oldlibs
Depends: ${shlibs:Depends}, ${misc:Depends},
  libstrongswan (= ${binary:Version})
Description: strongSwan plugin for PRF specified by FIPS
 The strongSwan VPN suite uses the native IPsec stack in the standard
 Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This package provides the strongSwan plugin for the special
 pseudo-random-function (PRF) specified by FIPS, used by EAP-SIM/AKA algorithms.
 .
 This plugin is now included in libstrongswan. This package can
 be safely removed once it's installed.

Package: strongswan-plugin-gmp
Architecture: all
Section: oldlibs
Depends: ${shlibs:Depends}, ${misc:Depends},
  libstrongswan (= ${binary:Version})
Description: strongSwan plugin for libgmp based crypto
 The strongSwan VPN suite uses the native IPsec stack in the standard
 Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This package provides the crypto backend based on libgmp, which provides a
 RSA/DH plugin for strongSwan.
 .
 This plugin is now included in libstrongswan. This package can
 be safely removed once it's installed.

Package: strongswan-plugin-pgp
Architecture: all
Section: oldlibs
Depends: ${shlibs:Depends}, ${misc:Depends},
  libstrongswan (= ${binary:Version})
Description: strongSwan plugin for PGP encoding/decoding routines
 The strongSwan VPN suite uses the native IPsec stack in the standard
 Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This package provides the strongSwan plugin for PGP encoding/decoding routines.
 .
 This plugin is now included in libstrongswan. This package can
 be safely removed once it's installed.

Package: strongswan-plugin-pubkey
Architecture: all
Section: oldlibs
Depends: ${shlibs:Depends}, ${misc:Depends},
  libstrongswan (= ${binary:Version})
Description: strongSwan plugin for raw public keys
 The strongSwan VPN suite uses the native IPsec stack in the standard
 Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This package provides the strongSwan plugin for handling raw public keys as
 trusted certificates.
 .
 This plugin is now included in libstrongswan. This package can
 be safely removed once it's installed.

Package: strongswan-plugin-sshkey
Architecture: all
Section: oldlibs
Depends: ${shlibs:Depends}, ${misc:Depends},
  libstrongswan (= ${binary:Version})
Description: strongSwan plugin for SSH key decoding routines
 The strongSwan VPN suite uses the native IPsec stack in the standard
 Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This package provides the strongSwan plugin for SSH key decoding routines.
 .
 This plugin is now included in libstrongswan. This package can
 be safely removed once it's installed.

Package: libstrongswan-extra-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libstrongswan (= ${binary:Version})
Breaks: libstrongswan (<< 5.3.5-1ubuntu1~), strongswan-ike (<= 5.1.1-1),
  strongswan-plugin-af-alg (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-attr-sql (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-coupling (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-curl (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-dnscert (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-gcrypt (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-ipseckey (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-ldap (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-load-tester (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-mysql (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-ntru (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-pkcs11 (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-radattr (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-sql (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-sqlite (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-soup (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-systime-fix (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-unbound (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-whitelist (<< 5.3.5-1ubuntu1~),
Replaces: libstrongswan (<< 5.3.5-1ubuntu1~), strongswan-ike (<= 5.1.1-1),
  strongswan-plugin-af-alg (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-attr-sql (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-coupling (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-curl (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-dnscert (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-gcrypt (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-ipseckey (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-ldap (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-load-tester (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-mysql (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-ntru (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-pkcs11 (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-radattr (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-sql (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-sqlite (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-soup (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-systime-fix (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-unbound (<< 5.3.5-1ubuntu1~),
  strongswan-plugin-whitelist (<< 5.3.5-1ubuntu1~)
Description: strongSwan utility and crypto library (extra plugins)
 The strongSwan VPN suite uses the native IPsec stack in the standard
 Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
 .
 This package provides extra plugins for the strongSwan utility and
 cryptograhic library.
 .
 Included plugins are:
  - acert (Support of X.509 attribute certificates (since 5.1.3))
  - af-alg [linux] (AF_ALG Linux crypto API interface, provides
    ciphers/hashers/hmac/xcbc)
  - attr-sql (provide IKE attributes read from a database to peers)
  - bliss (Bimodal Lattice Signature Scheme (BLISS) post-quantum computer
    signature scheme)
  - ccm (CCM cipher mode wrapper)
  - chapoly (ChaCha20/Poly1305 AEAD implementation)
  - cmac (CMAC cipher mode wrapper)
  - ctr (CTR cipher mode wrapper)
  - coupling (Permanent peer certificate coupling)
  - curl (libcurl based HTTP/FTP fetcher)
