=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
#export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_BUILD_OPTIONS=nostrip
export TESTS_REDUCED_KEYLENGTHS=1

CONFIGUREARGS := --libdir=/usr/lib --libexecdir=/usr/lib \
		--with-tss=trousers \
		--enable-acert \
		--enable-addrblock \
		--enable-agent \
		--enable-attr-sql \
		--enable-bliss \
		--enable-ccm \
		--enable-certexpire \
		--enable-chapoly \
		--enable-cmd \
		--enable-connmark \
		--enable-coupling \
		--enable-ctr \
		--enable-curl \
		--enable-dnscert \
		--enable-eap-aka \
		--enable-eap-aka-3gpp2 \
		--enable-eap-dynamic \
		--enable-eap-gtc \
		--enable-eap-identity \
		--enable-eap-md5 \
		--enable-eap-mschapv2 \
		--enable-eap-peap \
		--enable-eap-radius \
		--enable-eap-sim \
		--enable-eap-simaka-pseudonym \
		--enable-eap-simaka-reauth \
		--enable-eap-simaka-sql \
		--enable-eap-sim-file \
		--enable-eap-sim-pcsc \
		--enable-eap-tls \
		--enable-eap-tnc \
		--enable-eap-ttls \
		--enable-error-notify \
		--enable-gcm \
		--enable-gcrypt \
		--enable-imc-attestation \
		--enable-imc-os \
		--enable-imc-scanner \
		--enable-imc-swid \
		--enable-imc-test \
		--enable-imv-attestation \
		--enable-imv-os \
		--enable-imv-scanner  \
		--enable-imv-swid \
		--enable-imv-test \
		--enable-integrity-test \
		--enable-ipseckey \
		--enable-kernel-libipsec \
		--enable-ldap \
		--enable-led \
		--enable-load-tester \
		--enable-lookip \
		--enable-md4 \
		--enable-mysql \
		--enable-ntru \
		--enable-openssl \
		--enable-pkcs11 \
		--enable-radattr \
		--enable-soup \
		--enable-sql \
		--enable-sqlite \
		--enable-systime-fix \
		--enable-test-vectors \
		--enable-tnccs-11 \
		--enable-tnccs-20 \
		--enable-tnccs-dynamic \
		--enable-tnc-ifmap \
		--enable-tnc-imc \
		--enable-tnc-imv \
		--enable-tnc-pdp \
		--enable-unbound \
		--enable-unity \
		--enable-whitelist \
		--enable-xauth-eap \
		--enable-xauth-generic \
		--enable-xauth-noauth \
		--enable-xauth-pam \
		--disable-blowfish \
		--disable-fast \
		--disable-des # BSD-Young license
	#--with-user=strongswan --with-group=nogroup
	#	--enable-kernel-pfkey --enable-kernel-klips \
	# And for --enable-eap-sim we would need the library, which we don't
	# have right now.
	# Don't --enable-cisco-quirks, because some other IPsec implementations
	# (most notably the Phion one) have problems connecting when pluto 
	# sends these Cisco options.

# get the various DEB_BUILD/DEB_HOST variables
include /usr/share/dpkg/architecture.mk

# the padlock plugin only makes sense on i386
# RdRand only makes sense on i386 and amd64
ifeq ($(DEB_BUILD_ARCH_CPU),i386)
  CONFIGUREARGS += --enable-padlock --enable-rdrand
endif

ifeq ($(DEB_BUILD_ARCH_CPU),amd64)
  CONFIGUREARGS += --enable-rdrand
endif

ifeq ($(DEB_BUILD_ARCH_OS),linux)
	# only enable network-manager and capabilities dropping on linux hosts
	# some plugins are linux-only too
	CONFIGUREARGS += --enable-nm \
		--with-capabilities=libcap \
		--enable-farp \
		--enable-dhcp \
		--enable-af-alg
endif

ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	# recommended configure line for FreeBSD
	# http://wiki.strongswan.org/projects/strongswan/wiki/FreeBSD
	CONFIGUREARGS += --disable-kernel-netlink \
		--enable-kernel-pfkey --enable-kernel-pfroute \
		--with-group=wheel
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGUREARGS)

override_dh_auto_clean:
	dh_auto_clean
	# after a make clean, no binaries _should_ be left, but ....
	-find $(CURDIR) -name "*.o" | xargs --no-run-if-empty rm

	# Really clean (#356716)
	# This is a hack: should be better implemented
	rm -f lib/libstrongswan/libstrongswan.a || true
	rm -f lib/libstrongswan/liboswlog.a || true

	# just in case something went wrong
	rm -f $(CURDIR)/debian/ipsec.secrets

	# and make sure that template are up-to-date
	debconf-updatepo


override_dh_install-arch:

	# first special cases
ifeq ($(DEB_BUILD_ARCH_OS),linux)
	# handle Linux-only plugins
	dh_install -p libcharon-extra-plugins usr/lib/ipsec/plugins/libstrongswan-dhcp.so
	dh_install -p libcharon-extra-plugins usr/share/strongswan/templates/config/plugins/dhcp.conf
	dh_install -p libcharon-extra-plugins etc/strongswan.d/charon/dhcp.conf

	dh_install -p libcharon-extra-plugins usr/lib/ipsec/plugins/libstrongswan-farp.so
	dh_install -p libcharon-extra-plugins usr/share/strongswan/templates/config/plugins/farp.conf
	dh_install -p libcharon-extra-plugins etc/strongswan.d/charon/farp.conf

	dh_install -p libstrongswan usr/lib/ipsec/plugins/libstrongswan-kernel-netlink.so
	dh_install -p libstrongswan usr/share/strongswan/templates/config/plugins/kernel-netlink.conf
	dh_install -p libstrongswan etc/strongswan.d/charon/kernel-netlink.conf

	dh_install -p libstrongswan-extra-plugins usr/lib/ipsec/plugins/libstrongswan-af-alg.so
	dh_install -p libstrongswan-extra-plugins usr/share/strongswan/templates/config/plugins/af-alg.conf
	dh_install -p libstrongswan-extra-plugins etc/strongswan.d/charon/af-alg.conf
	# the systemd service file only gets generated on Linux
	dh_systemd_enable --name=strongswan
	dh_systemd_start --name=strongswan
endif

ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	# handle FreeBSD-only plugins
	dh_install -p libstrongswan usr/lib/ipsec/plugins/libstrongswan-kernel-pfkey.so
	dh_install -p libstrongswan usr/share/strongswan/templates/config/plugins/kernel-pfkey.conf
	dh_install -p libstrongswan etc/strongswan.d/charon/kernel-pfkey.conf

	dh_install -p libstrongswan usr/lib/ipsec/plugins/libstrongswan-kernel-pfroute.so
	dh_install -p libstrongswan usr/share/strongswan/templates/config/plugins/kernel-pfroute.conf
	dh_install -p libstrongswan etc/strongswan.d/charon/kernel-pfroute.conf
endif

ifeq ($(DEB_BUILD_ARCH_CPU),i386)
	# special handling for padlock, as it is only built on i386
	dh_install -p libstrongswan-extra-plugins usr/lib/ipsec/plugins/libstrongswan-padlock.so
	dh_install -p libstrongswan-extra-plugins usr/share/strongswan/templates/config/plugins/padlock.conf
	dh_install -p libstrongswan-extra-plugins etc/strongswan.d/charon/padlock.conf

	dh_install -p libstrongswan-extra-plugins usr/lib/ipsec/plugins/libstrongswan-rdrand.so
	dh_install -p libstrongswan-extra-plugins usr/share/strongswan/templates/config/plugins/rdrand.conf
	dh_install -p libstrongswan-extra-plugins etc/strongswan.d/charon/rdrand.conf
endif

ifeq ($(DEB_BUILD_ARCH_CPU), amd64)
	dh_install -p libstrongswan-extra-plugins usr/lib/ipsec/plugins/libstrongswan-rdrand.so
	dh_install -p libstrongswan-extra-plugins usr/share/strongswan/templates/config/plugins/rdrand.conf
	dh_install -p libstrongswan-extra-plugins etc/strongswan.d/charon/rdrand.conf
endif

	# then install the rest, ignoring the above
	dh_install --fail-missing \
		-X\.la -X\.a \
		-Xmedsrv -Xman3 \
		-Xlibstrongswan-kernel- -X kernel- \
		-Xlibstrongswan-dhcp.so -X dhcp.conf \
		-Xlibstrongswan-farp.so -X farp.conf \
		-Xlibstrongswan-padlock.so -X padlock.conf \
		-Xlibstrongswan-rdrand.so -X rdrand.conf \
		-Xlibstrongswan-af-alg.so -X af-alg.conf \
		-Xstrongswan.service

	# AppArmor.
	dh_apparmor --profile-name=usr.lib.ipsec.charon -p strongswan-charon
	dh_apparmor --profile-name=usr.lib.ipsec.lookip -p libcharon-extra-plugins
	dh_apparmor --profile-name=usr.lib.ipsec.stroke -p strongswan-starter

	# add additional files not covered by upstream makefile...
	install --mode=0600 $(CURDIR)/debian/ipsec.secrets.proto $(CURDIR)/debian/strongswan-starter/etc/ipsec.secrets

	# set permissions on ipsec.secrets
	chmod 600 $(CURDIR)/debian/strongswan-starter/etc/ipsec.secrets
	chmod 700 -R $(CURDIR)/debian/strongswan-starter/etc/ipsec.d/private/
	chmod 700 -R $(CURDIR)/debian/strongswan-starter/var/lib/strongswan/

	# this is handled by update-rc.d
	rm -rf $(CURDIR)/debian/strongswan-starter/etc/rc?.d

	# delete var/lock/subsys and var/run to satisfy lintian
	rm -rf $(CURDIR)/debian/openswan/var/lock
	rm -rf $(CURDIR)/debian/openswan/var/run
